From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/sway/
Date: Sat, 5 May 2018 21:47:41 +0000 (UTC) [thread overview]
Message-ID: <1525556735.0b884529301729a796ea52db4438cb176ce7416e.bman@gentoo> (raw)
commit: 0b884529301729a796ea52db4438cb176ce7416e
Author: Mykyta Holubakha <hilobakho <AT> gmail <DOT> com>
AuthorDate: Tue May 1 15:43:21 2018 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sat May 5 21:45:35 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b884529
dev-libs/sway: version bump to 0.15.2
Package-Manager: Portage-2.3.31, Repoman-2.3.9
dev-libs/sway/Manifest | 1 +
dev-libs/sway/sway-0.15.2.ebuild | 84 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 85 insertions(+)
diff --git a/dev-libs/sway/Manifest b/dev-libs/sway/Manifest
index 7d5ca1734a5..adb833c4ffa 100644
--- a/dev-libs/sway/Manifest
+++ b/dev-libs/sway/Manifest
@@ -1 +1,2 @@
DIST sway-0.15.1.tar.gz 5395223 BLAKE2B b5803f6858f2fa9e70fef75f888970c05cf0ccb4f69ea520ec5121b683780d9ad7bd182ae9d1d4f53612e71a70c594e063a5adf94246318cefce67576e202253 SHA512 5a972fb58ab7f352f206694299832f7bcbeb053419ac47504041dccbbb55433a8de8ec06e3fa38aab259694f1a2042d2a2f920db16cb32dfcc1ac5344017de09
+DIST sway-0.15.2.tar.gz 5398956 BLAKE2B 6bb527e802b7837ef39cb1e29597d55fd33831231dbfb7f12225e50c38e49ae17d8bf2eb43672c195c6e074986d254b1680bac7c9d60b80b84feaf07e09718df SHA512 c457ace514f5c69ebd366d313cce93a76b199bb51c7540debc9c0586bff490401e6374f9725c784474afdfcca15bcab686a972c6c178117e45e2de83825ed370
diff --git a/dev-libs/sway/sway-0.15.2.ebuild b/dev-libs/sway/sway-0.15.2.ebuild
new file mode 100644
index 00000000000..4c02b8d3266
--- /dev/null
+++ b/dev-libs/sway/sway-0.15.2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils cmake-utils
+
+DESCRIPTION="i3-compatible Wayland window manager"
+HOMEPAGE="http://swaywm.org/"
+
+SRC_URI="https://github.com/swaywm/sway/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~arm64 ~amd64 ~x86"
+IUSE="+gdk-pixbuf +swaybar +swaybg swaygrab swaylock +swaymsg systemd +tray wallpapers zsh-completion"
+
+REQUIRED_USE="tray? ( swaybar )"
+
+RDEPEND=">=dev-libs/wlc-0.0.8[systemd=]
+ dev-libs/json-c:0=
+ dev-libs/libpcre
+ dev-libs/libinput
+ dev-libs/wayland
+ sys-libs/libcap
+ x11-libs/libxkbcommon
+ x11-libs/cairo
+ x11-libs/pango
+ gdk-pixbuf? ( x11-libs/gdk-pixbuf[jpeg] )
+ swaylock? ( virtual/pam )
+ tray? ( sys-apps/dbus )"
+
+DEPEND="${RDEPEND}
+ app-text/asciidoc
+ virtual/pkgconfig"
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ # remove bad CFLAGS that upstream is trying to add
+ sed -i -e '/add_compile_options/s/-Werror//' CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -Denable-swaybar=$(usex swaybar)
+ -Denable-swaybg=$(usex swaybg)
+ -Denable-swaygrab=$(usex swaygrab)
+ -Denable-swaylock=$(usex swaylock)
+ -Denable-swaymsg=$(usex swaymsg)
+ -Denable-tray=$(usex tray)
+
+ -Ddefault-wallpaper=$(usex wallpapers)
+
+ -Denable-gdk-pixbuf=$(usex gdk-pixbuf)
+ -Dzsh-completions=$(usex zsh-completion)
+
+ -DCMAKE_INSTALL_SYSCONFDIR="/etc"
+ -DVERSION="${PV}"
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ use !systemd && fperms u+s /usr/bin/sway
+}
+
+pkg_postinst() {
+ if use swaygrab
+ then
+ optfeature "swaygrab screenshot support" media-gfx/imagemagick[png]
+ optfeature "swaygrab video capture support" virtual/ffmpeg
+ fi
+ if use tray
+ then
+ optfeature "experimental xembed tray icons support" \
+ x11-misc/xembedsniproxy
+ fi
+
+ optfeature "X11 applications support" dev-libs/wlc[xwayland] x11-base/xorg-server[wayland]
+}
next reply other threads:[~2018-05-05 21:47 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-05-05 21:47 Aaron Bauman [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-02-22 22:54 [gentoo-commits] repo/gentoo:master commit in: dev-libs/sway/ Aaron Bauman
2019-02-19 0:21 Matthew Thode
2019-02-13 0:04 Aaron Bauman
2019-02-13 0:04 Aaron Bauman
2019-02-13 0:04 Aaron Bauman
2019-02-09 2:24 Matthew Thode
2019-02-09 2:23 Matthew Thode
2018-12-02 0:27 Aaron Bauman
2018-12-01 17:49 Aaron Bauman
2018-12-01 17:49 Aaron Bauman
2018-11-08 22:12 Patrice Clement
2018-11-08 22:12 Patrice Clement
2018-11-08 22:12 Patrice Clement
2018-10-22 22:20 Andreas Sturmlechner
2018-05-05 21:47 Aaron Bauman
2018-05-05 21:47 Aaron Bauman
2018-01-13 22:17 David Seifert
2018-01-13 22:17 David Seifert
2017-12-19 21:45 Thomas Deutschmann
2017-11-12 18:01 Patrice Clement
2017-11-12 18:01 Patrice Clement
2017-11-12 18:01 Patrice Clement
2017-10-28 8:59 Patrice Clement
2017-10-16 10:06 Patrice Clement
2017-07-30 14:37 David Seifert
2017-07-30 14:37 David Seifert
2017-07-30 14:37 David Seifert
2017-05-11 18:29 Michał Górny
2017-04-08 15:00 David Seifert
2017-04-08 15:00 David Seifert
2017-03-28 19:18 Göktürk Yüksek
2017-03-16 19:13 David Seifert
2017-03-16 19:13 David Seifert
2017-01-26 23:06 David Seifert
2017-01-15 13:44 David Seifert
2017-01-03 23:08 Patrice Clement
2016-12-29 12:56 David Seifert
2016-12-28 0:18 Patrice Clement
2016-12-28 0:18 Patrice Clement
2016-12-28 0:18 Patrice Clement
2016-11-04 22:23 Patrice Clement
2016-11-04 22:23 Patrice Clement
2016-11-04 22:23 Patrice Clement
2016-08-25 17:51 Patrice Clement
2016-05-24 3:06 Ian Delaney
2016-05-15 9:44 Ian Delaney
2016-05-13 3:34 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1525556735.0b884529301729a796ea52db4438cb176ce7416e.bman@gentoo \
--to=bman@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox